Bug 164070 - sata_promise reports abnormal status and disables PATA port
sata_promise reports abnormal status and disables PATA port
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-23 18:32 EDT by Marcel Ziswiler
Modified: 2013-07-02 22:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Ziswiler 2005-07-23 18:32:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
Upon boot I get a strange message as follows right after 'Red Hat nash version 4.1.18 starting':
^[[18~ata5: disabling port
Looking at the syslog reveals that sata_promise gets an abnormal status and disables the PATA port.
The prior kernel does not seem to have done anything with the PATA port at all.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1372_FC3

How reproducible:
Always

Steps to Reproduce:
1. Update to kernel-2.6.12-1.1372_FC3 on x86_64.
2. Reboot.
3. Observe '^[[18~ata5: disabling port' message at boot.
4. Check syslog for 'abnormal status' and 'disabling port' messages.

Actual Results:  The syslog reveals the following:
sata_promise version 1.01
ACPI: PCI Interrupt 0000:00:0d.0[A] -> GSI 17 (level, low) -> IRQ 177
sata_promise PATA port found
ata3: SATA max UDMA/133 cmd 0xFFFFC2000001A200 ctl 0xFFFFC2000001A238 bmdma 0x0
irq 177
ata4: SATA max UDMA/133 cmd 0xFFFFC2000001A280 ctl 0xFFFFC2000001A2B8 bmdma 0x0
irq 177
ata5: PATA max UDMA/133 cmd 0xFFFFC2000001A300 ctl 0xFFFFC2000001A338 bmdma 0x0
irq 177
ata3: dev 0 cfg 49:2f00 82:346b 83:7f21 84:4003 85:3469 86:3c01 87:4003 88:207f
ata3: dev 0 ATA, max UDMA/133, 72303840 sectors: lba48
ata3: dev 0 configured for UDMA/133
scsi2 : sata_promise
ata4: dev 0 cfg 49:2f00 82:346b 83:7f21 84:4003 85:3469 86:3c01 87:4003 88:207f
ata4: dev 0 ATA, max UDMA/133, 72303840 sectors: lba48
ata4: dev 0 configured for UDMA/133
scsi3 : sata_promise
ATA: abnormal status 0x8 on port 0xFFFFC2000001A31C
ata5: disabling port

Expected Results:  I never got any such message before with kernel-2.6.11-1.27_FC3, syslog excerpt follows:
sata_promise version 1.01
ACPI: PCI interrupt 0000:00:0d.0[A] -> GSI 17 (level, low) -> IRQ 177
ata3: SATA max UDMA/133 cmd 0xFFFFC2000001A200 ctl 0xFFFFC2000001A238 bmdma 0x0
irq 177
ata4: SATA max UDMA/133 cmd 0xFFFFC2000001A280 ctl 0xFFFFC2000001A2B8 bmdma 0x0
irq 177
ata3: dev 0 cfg 49:2f00 82:346b 83:7f21 84:4003 85:3469 86:3c01 87:4003 88:207f
ata3: dev 0 ATA, max UDMA/133, 72303840 sectors: lba48
ata3: dev 0 configured for UDMA/133
scsi2 : sata_promise
ata4: dev 0 cfg 49:2f00 82:346b 83:7f21 84:4003 85:3469 86:3c01 87:4003 88:207f
ata4: dev 0 ATA, max UDMA/133, 72303840 sectors: lba48
ata4: dev 0 configured for UDMA/133

Additional info:

MSI K8T Neo motherboard with VIA VT8237 and Promise TX2 on board.
Comment 1 Dave Jones 2006-01-16 17:24:24 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 2 Dave Jones 2006-02-03 01:07:02 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 John Thacker 2006-05-05 10:52:14 EDT
Closing per last comment.

Note You need to log in before you can comment on or make changes to this bug.